/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2007 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include "Thread.h"
#include "Debug.h"

void demmarrage_Thread (void *thread, gpointer * pointeur)
{
	pthread_t pThread;

	if (pthread_create (&pThread, NULL, (void *) thread, pointeur) != 0) {
		debug_printf (D_ERRO, __FILE__,__PRETTY_FUNCTION__, __LINE__, "Demmarage_Thread (%d): Impossible de démarrer le thread%d", getpid ());
	}
	pthread_detach (pThread);
}


/*void Info_Thread()
{
	printf ("Max Prozess: %ld\n", sysconf(_SC_CHILD_MAX));
	printf("Nb Max de thread : %ld\n",sysconf(_SC_THREAD_THREADS_MAX));
	printf("THREADS_MAX = %ld\n", sysconf(_SC_THREAD_THREADS_MAX));
	printf("THREADS_MAX = %ld\n", sysconf(_SC_VERSION));
}*/
